Bug Hunting Session
Bug 88462 - convert manual XInterface implementations into ::cppu::WeakComponentImplHelper
Summary: convert manual XInterface implementations into ::cppu::WeakComponentImplHelper
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords: difficultyInteresting, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2015-01-15 14:48 UTC by Lionel Elie Mamane
Modified: 2017-02-14 08:57 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2015-01-15 14:48:05 UTC
See http://cgit.freedesktop.org/libreoffice/core/commit/?id=79b5bf5cab66efbec81f9eac4e023af4f5f5141f for an example.

connectivity/source/drivers/postgresql/* is the first obvious target.

If you find any others, you can convert them, too.
Comment 1 Lionel Elie Mamane 2015-01-15 14:50:04 UTC
Everywhere a class inherits directly from XFooBar (a public UNO API interface), instead of through some helper, this cleanup applies.
Comment 2 Lionel Elie Mamane 2015-01-15 14:58:52 UTC
If you tackle this EasyHack, do it directly in the new style that is recommended by EasyHack bug 88206
Comment 3 Commit Notification 2015-09-03 08:09:30 UTC
Daniel Robertson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=87a2c1d5a0b2eeed30461fe39328ccb66359cff0

tdf#88462 connectivity convert manual XInterface

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Robinson Tryon (qubit) 2015-12-14 06:58:24 UTC Comment hidden (obsolete)
Comment 5 kerem 2016-02-08 15:46:11 UTC
I sent following for this patch;

https://gerrit.libreoffice.org/#/c/22213/
Comment 6 Commit Notification 2016-02-09 10:04:45 UTC
kerem committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=098c1e495ee87f0674018fd18c77a3a1abef698d

tdf#88462 convert manual XInterface implementations

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2016-02-18 14:51:25 UTC Comment hidden (obsolete)
Comment 8 kerem 2016-03-22 15:10:52 UTC
I sent following for this new patch;

https://gerrit.libreoffice.org/#/c/23424/
Comment 9 Commit Notification 2016-03-22 15:28:21 UTC
kerem committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=59a89dc69fda12adeba14e7c47d247380716ce94

tdf#88462 convert manual XInterface implementations

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 jani 2016-04-27 06:01:31 UTC
Seems solved